﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication292.ViewModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication292
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Vm vm = new Vm();
        public MainWindow()
        {
            InitializeComponent();
            layoutroot.DataContext = vm;
          
        }

        private void AddSummaryDefinition()
        {
         var fieldlayout = xamDataGrid1.FieldLayouts[0];
         fieldlayout.SummaryDefinitions.Add( new SummaryDefinition
         {
             Calculator = new CalcNetWorth(),
             DisplayArea = SummaryDisplayAreas.TopFixed,
             SourceFieldName = "Worth",
             StringFormat = "${0:n2}"

         });
            xamDataGrid1.FieldLayouts[0].Fields["NetWorth"].Settings.AllowSummaries = true;
            xamDataGrid1.FieldSettings.SummaryUIType = SummaryUIType.SingleSelect;
        }

        private void xamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            AddSummaryDefinition();
        }

    }
}
